/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package org.apache.skywalking.oap.server.cluster.plugin.kubernetes;

/**
 * The event of watch.
 *
 * @author gaohongtao
 */
public class Event {
    private final String type;
    private final String uid;
    private final String host;

    public Event(final String type, final String uid, final String host) {
        this.type = type;
        this.uid = uid;
        this.host = host;
    }

    String getType() {
        return type;
    }

    String getUid() {
        return uid;
    }

    String getHost() {
        return host;
    }
}
