/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package org.apache.skywalking.oap.server.library.server.grpc;

/**
 * @author peng-yongsheng
 */
public abstract class GRPCServerConfig {

    private String host;
    private int port;
    private String sslCertChainFilePath;
    private String sslPrivateKeyFilePath;
    private String authentication;

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public String getSslCertChainFilePath() {
        return sslCertChainFilePath;
    }

    public void setSslCertChainFilePath(String sslCertChainFilePath) {
        this.sslCertChainFilePath = sslCertChainFilePath;
    }

    public String getSslPrivateKeyFilePath() {
        return sslPrivateKeyFilePath;
    }

    public void setSslPrivateKeyFilePath(String sslPrivateKeyFilePath) {
        this.sslPrivateKeyFilePath = sslPrivateKeyFilePath;
    }

    public String getAuthentication() {
        return authentication;
    }

    public void setAuthentication(String authentication) {
        this.authentication = authentication;
    }
}
